Highlighted

Download Issues - Creative Cloud Photography

New Here ,
May 30, 2020

Copy link to clipboard

Copied

I've just purchased a 2nd hand macbook pro running OS X Yosemite 10.10.5

I have a subscription to the photography plan

Adobe won't let me download photoshop - do I need to upgrade my OS or is there an older version of PS I can download (I don't mind).

 

Thank you.

Ged

TOPICS
Creative Cloud, Installation, New user

Views

348

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Download Issues - Creative Cloud Photography

New Here ,
May 30, 2020

Copy link to clipboard

Copied

I've just purchased a 2nd hand macbook pro running OS X Yosemite 10.10.5

I have a subscription to the photography plan

Adobe won't let me download photoshop - do I need to upgrade my OS or is there an older version of PS I can download (I don't mind).

 

Thank you.

Ged

TOPICS
Creative Cloud, Installation, New user

Views

349

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
May 30, 2020 0
Adobe Community Professional ,
May 30, 2020

Copy link to clipboard

Copied

Hi there,

 

Yes for the latest version of Photoshop you will have to upgrade the OS to atleast High Sierra. See the following for complete details on system requirements

https://helpx.adobe.com/photoshop/system-requirements.html

 

-Manan

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 30, 2020 1
Adobe Community Professional ,
May 30, 2020

Copy link to clipboard

Copied

What Model year is the older Mac you bought?

 

As above you need to upgrade the OS to atleast 10.13.x.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 30, 2020 1
Adobe Community Professional ,
May 30, 2020

Copy link to clipboard

Copied

Please ensure your computer meets or exceeds the minimum system requirements to run Creative Cloud + all other apps you intend to use.  Requirements vary by product & platform.

 

Creative Cloud Desktop app needs macOS Sierra (10.12) or higher.  However, Photoshop, Lightroom Classic & Lightroom CC need macOS High Sierra (10.13) or higher.
https://helpx.adobe.com/creative-cloud/system-requirements.html

 

Nancy O'Shea, ACP
Alt-Web.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 30, 2020 1